var NAVTREE =
[
  [ "CGAL 4.12 - 2D Arrangements", "index.html", [
    [ "User Manual", "index.html", [
      [ "Introduction", "index.html#arr_secintro", null ],
      [ "The Main Arrangement Class", "index.html#arr_secarr_class", [
        [ "A Simple Program", "index.html#Arrangement_on_surface_2ASimpleProgram", null ],
        [ "Traversing the Arrangement", "index.html#arr_ssectraverse", null ],
        [ "Traversal Methods for an Arrangement Vertex", "index.html#arr_sssectr_vertex", null ],
        [ "Traversal Methods for an Arrangement Halfedge", "index.html#arr_sssectr_halfedge", null ],
        [ "Traversal Methods for an Arrangement Face", "index.html#arr_sssectr_face", null ],
        [ "Additional Example", "index.html#arr_sssectr_ex", null ],
        [ "Modifying the Arrangement", "index.html#arr_ssecmodify", null ],
        [ "Inserting Non-Intersecting x-Monotone Curves", "index.html#arr_sssecmf_insert_cv", null ],
        [ "Manipulating Isolated Vertices", "index.html#arr_sssecmf_iso_verts", null ],
        [ "Manipulating Halfedges", "index.html#arr_sssecmf_halfedges", null ],
        [ "Advanced Insertion Functions", "index.html#arr_sssecadv_insert", null ]
      ] ],
      [ "Issuing Queries on an Arrangement", "index.html#arr_secqueries", [
        [ "Point-Location Queries", "index.html#arr_ssecpl", null ],
        [ "Choosing a Point-Location Strategy", "index.html#arr_sssecpl_strat", null ],
        [ "An Example", "index.html#arr_sssecpl_ex", null ],
        [ "Vertical Ray Shooting", "index.html#arr_ssecray_shoot", null ],
        [ "Batched Point-Location", "index.html#arr_ssecbatched_pl", null ]
      ] ],
      [ "Free Functions in the Arrangement Package", "index.html#arr_secgl_funcs", [
        [ "Incremental Insertion Functions", "index.html#arr_ssecinc_insert", null ],
        [ "Inserting Non-Intersecting Curves", "index.html#arr_sssecinsert_non_x", null ],
        [ "Inserting x-Monotone Curves", "index.html#arr_sssecinsert_x_mon", null ],
        [ "Inserting General Curves", "index.html#arr_sssecinsert_gen", null ],
        [ "Inserting Points", "index.html#arr_sssecinsert_point", null ],
        [ "An Example", "index.html#arr_sssecinsert_ex", null ],
        [ "Other Zone Related Functions", "index.html#arr_ssseczone", null ],
        [ "Aggregated Insertion Functions", "index.html#arr_ssecagg_insert", null ],
        [ "Removing Vertices and Edges", "index.html#arr_ssecgl_remove", null ]
      ] ],
      [ "Arrangements of Unbounded Curves", "index.html#arr_secunbounded", [
        [ "Basic Manipulation and Traversal Methods", "index.html#arr_ssecunb_basic", null ],
        [ "Free Functions", "index.html#arr_ssecunb_global", null ],
        [ "Representation of Unbounded Arrangements", "index.html#arr_ssecunb_rep", null ]
      ] ],
      [ "Traits Classes", "index.html#arr_sectraits", [
        [ "The Hierarchy of Traits-Class Concepts", "index.html#arr_sssectr_concepts", null ],
        [ "The Basic Concept", "index.html#arr_sssectr_basic_concept", null ],
        [ "The Landmarks Concept", "index.html#arr_sssectr_lanmarks_concept", null ],
        [ "Supporting Intersecting x-Monotone Curves", "index.html#arr_sssectr_xmon_concept", null ],
        [ "Supporting Arbitrary Curves", "index.html#arr_sssectr_full_concept", null ],
        [ "Supporting Unbounded Curves", "index.html#Arrangement_on_surface_2SupportingUnbounded", null ],
        [ "Traits Classes for Line Segments and Linear Objects", "index.html#arr_ssectr_segs", null ],
        [ "The Polyline and Polycurve Traits Classes", "index.html#arr_ssectr_polylines", null ],
        [ "A Traits Class for Circular Arcs and Line Segments", "index.html#arr_ssectr_circ_seg", null ],
        [ "A Traits Class for Conic Arcs", "index.html#arr_ssectr_conic", null ],
        [ "Examples for Arrangements of Conics", "index.html#Arrangement_on_surface_2ExamplesforArrangements", null ],
        [ "A Traits Class for Arcs of Rational Functions", "index.html#arr_ssectr_ratfunc", null ],
        [ "A Traits Class for Planar Bézier Curves", "index.html#arr_ssectr_bez", null ],
        [ "A Traits Class for Planar Algebraic Curves of Arbitrary Degree", "index.html#arr_ssectr_alg", null ],
        [ "Traits-Class Decorators", "index.html#arr_ssecmeta_tr", null ],
        [ "Examples", "index.html#Arrangement_on_surface_2Examples", null ]
      ] ],
      [ "The Notification Mechanism", "index.html#arr_secnotif", null ],
      [ "Extending the DCEL", "index.html#arr_secex_dcel", [
        [ "Extending the DCEL Faces", "index.html#arr_ssecex_dcel_face", null ],
        [ "Extending All DCEL Records", "index.html#arr_ssecex_dcel_all", null ]
      ] ],
      [ "Overlaying Arrangements", "index.html#arr_secoverlay", [
        [ "Example for a Simple Overlay", "index.html#arr_ssecsimp_ovl", null ],
        [ "Examples for a Face Overlay", "index.html#arr_ssecface_ovl", null ]
      ] ],
      [ "Storing the Curve History", "index.html#arr_secarr_with_hist", [
        [ "Traversing an Arrangement with History", "index.html#arr_ssecarrwh_traverse", null ],
        [ "Modifying an Arrangement with History", "index.html#arr_ssecmodif_traverse", null ],
        [ "Examples", "index.html#arr_ssecarr_hist_ex", null ]
      ] ],
      [ "Input/Output Streams", "index.html#arr_secio", [
        [ "Input/Output Stream", "index.html#arr_ssecio_stream", null ],
        [ "Arrangements with Auxiliary Data", "index.html#arr_ssecarr_io_aux_data", null ],
        [ "Arrangements with Curve History", "index.html#arr_ssecarr_io_hist", null ]
      ] ],
      [ "Adapting to Boost Graphs", "index.html#arr_secbgl", [
        [ "The Primal Arrangement Representation", "index.html#arr_ssecbgl_primal", null ],
        [ "The Dual Arrangement Representation", "index.html#arr_ssecbgl_dual", null ]
      ] ],
      [ "How To Speed Up Your Computation", "index.html#arr_sectips", null ],
      [ "Design and Implementation History", "index.html#Arrangement_on_surface_2Design", null ]
    ] ],
    [ "Reference Manual", "modules.html", "modules" ],
    [ "Refinement Relationships", "refines.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Is Model Relationships", "models.html", null ],
    [ "Has Model Relationships", "hasModels.html", null ],
    [ "Bibliography", "citelist.html", null ],
    [ "Class and Concept List", "annotated.html", "annotated" ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"Arrangement_on_surface_2_2Bezier_curves_8cpp-example.html",
"classArrangementDcelVertex.html#a785a9bc83f617f29335cd36e8746b480",
"classCGAL_1_1Arr__algebraic__segment__traits__2_1_1Point__2.html#a1607ea7fe35a98fbbd9d7362f7a94991",
"classCGAL_1_1Arr__observer.html#af394bcad92bd8c77ffbc51d6ca77bcb6",
"classCGAL_1_1Arrangement__2.html#aa91e8147cf0a7cc30366af5b6f9a058e"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';